Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network6.36.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
6.36.0.0
Broadcast address
6.39.255.255
First usable
6.36.0.1
Last usable
6.39.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 06240000 · Integer 103022592 to 103284735
Reverse DNS zones
36.6.in-addr.arpa
37.6.in-addr.arpa
38.6.in-addr.arpa
39.6.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000110.00100100.00000000.000000006.36.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network00000110.00100100.00000000.000000006.36.0.0
Broadcast00000110.00100111.11111111.111111116.39.255.255
Split into smaller subnets/20

6.36.0.0/14 makes 64 subnets of /20.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
16.36.0.0/206.36.0.1 to 6.36.15.2546.36.15.2554,094
26.36.16.0/206.36.16.1 to 6.36.31.2546.36.31.2554,094
36.36.32.0/206.36.32.1 to 6.36.47.2546.36.47.2554,094
46.36.48.0/206.36.48.1 to 6.36.63.2546.36.63.2554,094
56.36.64.0/206.36.64.1 to 6.36.79.2546.36.79.2554,094
66.36.80.0/206.36.80.1 to 6.36.95.2546.36.95.2554,094
76.36.96.0/206.36.96.1 to 6.36.111.2546.36.111.2554,094
86.36.112.0/206.36.112.1 to 6.36.127.2546.36.127.2554,094
96.36.128.0/206.36.128.1 to 6.36.143.2546.36.143.2554,094
106.36.144.0/206.36.144.1 to 6.36.159.2546.36.159.2554,094
116.36.160.0/206.36.160.1 to 6.36.175.2546.36.175.2554,094
126.36.176.0/206.36.176.1 to 6.36.191.2546.36.191.2554,094
136.36.192.0/206.36.192.1 to 6.36.207.2546.36.207.2554,094
146.36.208.0/206.36.208.1 to 6.36.223.2546.36.223.2554,094
156.36.224.0/206.36.224.1 to 6.36.239.2546.36.239.2554,094
166.36.240.0/206.36.240.1 to 6.36.255.2546.36.255.2554,094
176.37.0.0/206.37.0.1 to 6.37.15.2546.37.15.2554,094
186.37.16.0/206.37.16.1 to 6.37.31.2546.37.31.2554,094
196.37.32.0/206.37.32.1 to 6.37.47.2546.37.47.2554,094
206.37.48.0/206.37.48.1 to 6.37.63.2546.37.63.2554,094
216.37.64.0/206.37.64.1 to 6.37.79.2546.37.79.2554,094
226.37.80.0/206.37.80.1 to 6.37.95.2546.37.95.2554,094
236.37.96.0/206.37.96.1 to 6.37.111.2546.37.111.2554,094
246.37.112.0/206.37.112.1 to 6.37.127.2546.37.127.2554,094
256.37.128.0/206.37.128.1 to 6.37.143.2546.37.143.2554,094
266.37.144.0/206.37.144.1 to 6.37.159.2546.37.159.2554,094
276.37.160.0/206.37.160.1 to 6.37.175.2546.37.175.2554,094
286.37.176.0/206.37.176.1 to 6.37.191.2546.37.191.2554,094
296.37.192.0/206.37.192.1 to 6.37.207.2546.37.207.2554,094
306.37.208.0/206.37.208.1 to 6.37.223.2546.37.223.2554,094
316.37.224.0/206.37.224.1 to 6.37.239.2546.37.239.2554,094
326.37.240.0/206.37.240.1 to 6.37.255.2546.37.255.2554,094
336.38.0.0/206.38.0.1 to 6.38.15.2546.38.15.2554,094
346.38.16.0/206.38.16.1 to 6.38.31.2546.38.31.2554,094
356.38.32.0/206.38.32.1 to 6.38.47.2546.38.47.2554,094
366.38.48.0/206.38.48.1 to 6.38.63.2546.38.63.2554,094
376.38.64.0/206.38.64.1 to 6.38.79.2546.38.79.2554,094
386.38.80.0/206.38.80.1 to 6.38.95.2546.38.95.2554,094
396.38.96.0/206.38.96.1 to 6.38.111.2546.38.111.2554,094
406.38.112.0/206.38.112.1 to 6.38.127.2546.38.127.2554,094
416.38.128.0/206.38.128.1 to 6.38.143.2546.38.143.2554,094
426.38.144.0/206.38.144.1 to 6.38.159.2546.38.159.2554,094
436.38.160.0/206.38.160.1 to 6.38.175.2546.38.175.2554,094
446.38.176.0/206.38.176.1 to 6.38.191.2546.38.191.2554,094
456.38.192.0/206.38.192.1 to 6.38.207.2546.38.207.2554,094
466.38.208.0/206.38.208.1 to 6.38.223.2546.38.223.2554,094
476.38.224.0/206.38.224.1 to 6.38.239.2546.38.239.2554,094
486.38.240.0/206.38.240.1 to 6.38.255.2546.38.255.2554,094
496.39.0.0/206.39.0.1 to 6.39.15.2546.39.15.2554,094
506.39.16.0/206.39.16.1 to 6.39.31.2546.39.31.2554,094
516.39.32.0/206.39.32.1 to 6.39.47.2546.39.47.2554,094
526.39.48.0/206.39.48.1 to 6.39.63.2546.39.63.2554,094
536.39.64.0/206.39.64.1 to 6.39.79.2546.39.79.2554,094
546.39.80.0/206.39.80.1 to 6.39.95.2546.39.95.2554,094
556.39.96.0/206.39.96.1 to 6.39.111.2546.39.111.2554,094
566.39.112.0/206.39.112.1 to 6.39.127.2546.39.127.2554,094
576.39.128.0/206.39.128.1 to 6.39.143.2546.39.143.2554,094
586.39.144.0/206.39.144.1 to 6.39.159.2546.39.159.2554,094
596.39.160.0/206.39.160.1 to 6.39.175.2546.39.175.2554,094
606.39.176.0/206.39.176.1 to 6.39.191.2546.39.191.2554,094
616.39.192.0/206.39.192.1 to 6.39.207.2546.39.207.2554,094
626.39.208.0/206.39.208.1 to 6.39.223.2546.39.223.2554,094
636.39.224.0/206.39.224.1 to 6.39.239.2546.39.239.2554,094
646.39.240.0/206.39.240.1 to 6.39.255.2546.39.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses